Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mindswap.pellet.jena
Class OWLSpeciesReport

    java.lang.Object
      org.mindswap.pellet.jena.OWLSpeciesReport

    public class OWLSpeciesReport

extends java.lang.Object

Class that stores the messages about OWL species validation. Each message added to the report contains the level it belong so level of docuemnt is simply found by the level of messages. The report supports printing in HTML format, i.e. URI's are printed as hyperlinks.

Author:
  Evren Sirin

Field Summary
`static int` | `NUM_CODES`

Constructor Summary
`OWLSpeciesReport()`

Method Summary
`void` | `addMessage(int code, OWLSpeciesMessage msg)` Add a message addMessage
`void` | `addMessage(int code, java.lang.String header, java.lang.String msg)`
`void` | `addMessage(int code, java.lang.String header, java.lang.String msg, aterm.ATermAppl term)`
`void` | `addMessage(int code, java.lang.String header, java.lang.String msg, aterm.ATermAppl[] terms)`
`void` | `addMessage(int code, java.lang.String header, java.lang.String msg, aterm.ATermAppl term1, aterm.ATermAppl term2)`
`int` | `getLevel()` Return the level of the document.
`void` | `print()` Print the report on standard output.
`void` | `print(OutputFormatter out)` Print the report on specified output.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### NUM_CODES

    public static final int NUM_CODES

See Also:
  Constant Field Values

Constructor Detail

### OWLSpeciesReport

    public OWLSpeciesReport()

Method Detail

### addMessage

    public void addMessage(int code,
                           OWLSpeciesMessage msg)

  Add a message addMessage

  Parameters:
    `code` -
    `msg` -

### addMessage

    public void addMessage(int code,
                           java.lang.String header,
                           java.lang.String msg)

### addMessage

    public void addMessage(int code,
                           java.lang.String header,
                           java.lang.String msg,
                           aterm.ATermAppl term)

### addMessage

    public void addMessage(int code,
                           java.lang.String header,
                           java.lang.String msg,
                           aterm.ATermAppl term1,
                           aterm.ATermAppl term2)

### addMessage

    public void addMessage(int code,
                           java.lang.String header,
                           java.lang.String msg,
                           aterm.ATermAppl[] terms)

### getLevel

    public int getLevel()

  Return the level of the document. One of OWLSpecies.LITE, OWLSpecies.DL or OWLSpecies.FULL.

  Returns:

### print

    public void print()

  Print the report on standard output.

### print

    public void print(OutputFormatter out)

  Print the report on specified output.

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Evren Sirin. All Rights Reserved.